﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace DummyCalculatorService
{
    [ServiceContract]
    public interface ICalculatorService
    {
        [OperationContract]
        int ApplyVat(Price price);
    }

    [DataContract]
    public class Price
    {
        [DataMember]
        public int Amount { get; set; }

        [DataMember]
        public int Vat { get; set; }
    }
}
